package foo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import javax.xml.bind.annotation.XmlID;

/**
 * Entity class Dept
 * 
 * @author ss141213
 */
public class Dept implements Serializable {

    private int id;
    
    private List<Employee> employees = new ArrayList<Employee>();
    
    private int version;
    
    /** Creates a new instance of Dept */
    public Dept() {
    }

    /**
     * Gets the id of this Dept.
     * @return the id
     */
    @XmlID
    public int getId() {
        return this.id;
    }

    /**
     * Sets the id of this Dept to the specified value.
     * @param id the new id
     */
    public void setId(int id) {
        this.id = id;
    }

    public List<Employee> getEmployees() {
        return employees;
    }

    public void setEmployees(List<Employee> emps) {
        this.employees = emps;
    }

    public int getVersion() {
        return version;
    }
    
    public void setVersion(int version) {
        this.version = version;
    }

    /**
     * Returns a string representation of the object.  This implementation constructs 
     * that representation based on the id fields.
     * @return a string representation of the object.
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("foo.Dept[id=" + id + 
                ", version=" + version + 
                ", employees={");
        for(Iterator<Employee> es = getEmployees().iterator(); es.hasNext();) {
            sb.append(es.next());
            if(es.hasNext()) sb.append(", ");
        }
        sb.append("}]");
        return sb.toString();
    }

}
